Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionPolicy.Update(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SessionPolicyServiceUpdateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/session-policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionPolicy": {
"accessTokenTtlSeconds": 123,
"continuousDefaultOutcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
},
"continuousRules": [
{
"description": "<string>",
"id": "<string>",
"matchCel": "<string>",
"outcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
}
}
],
"credentialDurations": [
{
"accessTokenTtlSeconds": 123,
"maxSessionDurationSeconds": 123
}
],
"displayName": "<string>",
"idleTimeoutSeconds": 123,
"maxSessionDurationSeconds": 123,
"priority": 123,
"refreshRotationWindowSeconds": 123,
"refreshTokenTtlSeconds": 123,
"rotateRefreshOnUse": true,
"ssfReceive": {
"enabled": true,
"ssfReceiverStreamIds": [
"<string>"
]
},
"ssfTransmit": {
"enabled": true,
"eventTypes": [
"<string>"
],
"ssfTransmitterStreamIds": [
"<string>"
]
}
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/session-policies/{id}"
payload = {
"sessionPolicy": {
"accessTokenTtlSeconds": 123,
"continuousDefaultOutcome": {
"allow": {},
"challengeRequired": { "types": [] },
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": { "credentialTypes": [] },
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
},
"continuousRules": [
{
"description": "<string>",
"id": "<string>",
"matchCel": "<string>",
"outcome": {
"allow": {},
"challengeRequired": { "types": [] },
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": { "credentialTypes": [] },
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
}
}
],
"credentialDurations": [
{
"accessTokenTtlSeconds": 123,
"maxSessionDurationSeconds": 123
}
],
"displayName": "<string>",
"idleTimeoutSeconds": 123,
"maxSessionDurationSeconds": 123,
"priority": 123,
"refreshRotationWindowSeconds": 123,
"refreshTokenTtlSeconds": 123,
"rotateRefreshOnUse": True,
"ssfReceive": {
"enabled": True,
"ssfReceiverStreamIds": ["<string>"]
},
"ssfTransmit": {
"enabled": True,
"eventTypes": ["<string>"],
"ssfTransmitterStreamIds": ["<string>"]
}
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionPolicy: {
accessTokenTtlSeconds: 123,
continuousDefaultOutcome: {
allow: {},
challengeRequired: {types: []},
deny: {reasonAdmin: '<string>', reasonUser: '<string>'},
enrollmentRequired: {credentialTypes: []},
stepUpRequired: {maxAgeSeconds: 123, types: []}
},
continuousRules: [
{
description: '<string>',
id: '<string>',
matchCel: '<string>',
outcome: {
allow: {},
challengeRequired: {types: []},
deny: {reasonAdmin: '<string>', reasonUser: '<string>'},
enrollmentRequired: {credentialTypes: []},
stepUpRequired: {maxAgeSeconds: 123, types: []}
}
}
],
credentialDurations: [{accessTokenTtlSeconds: 123, maxSessionDurationSeconds: 123}],
displayName: '<string>',
idleTimeoutSeconds: 123,
maxSessionDurationSeconds: 123,
priority: 123,
refreshRotationWindowSeconds: 123,
refreshTokenTtlSeconds: 123,
rotateRefreshOnUse: true,
ssfReceive: {enabled: true, ssfReceiverStreamIds: ['<string>']},
ssfTransmit: {enabled: true, eventTypes: ['<string>'], ssfTransmitterStreamIds: ['<string>']}
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/session-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionPolicy": {
"accessTokenTtlSeconds": 123,
"continuousDefaultOutcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
},
"continuousRules": [
{
"description": "<string>",
"id": "<string>",
"matchCel": "<string>",
"outcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"credentialDurations": [
{
"accessTokenTtlSeconds": 123,
"maxSessionDurationSeconds": 123
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"idleTimeoutSeconds": 123,
"isBuiltin": true,
"maxSessionDurationSeconds": 123,
"priority": 123,
"refreshRotationWindowSeconds": 123,
"refreshTokenTtlSeconds": 123,
"rotateRefreshOnUse": true,
"ssfReceive": {
"enabled": true,
"ssfReceiverStreamIds": [
"<string>"
]
},
"ssfTransmit": {
"enabled": true,
"eventTypes": [
"<string>"
],
"ssfTransmitterStreamIds": [
"<string>"
]
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Session Policy
Update
Update a session policy. Supply the policy object and an update mask listing the fields to change; omitted fields are left as-is.
POST
/
api
/
v1
/
session-policies
/
{id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionPolicy.Update(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SessionPolicyServiceUpdateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Unique identifier for the policy.
Body
application/json
Response
200 - application/json
Successful response
The SessionPolicyServiceUpdateResponse message.
SessionPolicy defines session lifetime and continuous-evaluation behavior.
Show child attributes
Show child attributes
Was this page helpful?
⌘I